%global momorel 1
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

Summary: The Red Hat Linux hardware probing tool.
Name: kudzu
Version: 1.2.71.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://fedora.redhat.com/projects/additional-projects/kudzu/
Source: kudzu-%{version}.tar.gz
# Tempolary disabled
#Patch0: kudzu-1.1.95-momonga.patch
Patch1: kudzu-1.2.16-lib64.patch
Patch2: kudzu-1.2.16-system-config-display.patch
Obsoletes: rhs-hwdiag setconsole kudzu-python
PreReq: chkconfig, modutils >= 2.3.11
Requires: pam >= 0.74, hwdata
Conflicts: netconfig < 0.8.18
Requires: kernel >= 2.6.13
Requires: hwdata >= 0.169, hal >= 0.2.96
BuildPreReq: pciutils-devel >= 2.2.3-3, python-devel >= 2.5, python, gettext
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%package devel
Summary: Development files needed for hardware probing using kudzu.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pciutils-devel

%description devel
The kudzu-devel package contains the libkudzu library, which is used
for hardware probing and configuration.

%prep

%setup -q

# 1.2.71 only?
chmod 666 po/kudzu.pot

%build

make RPM_OPT_FLAGS="%{optflags} -I." all kudzu

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install install-program DESTDIR=%{buildroot} libdir=%{buildroot}/%{_libdir}

install -m 755 fix-mouse-psaux %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}%{_initscriptdir}
mv %{buildroot}/etc/rc.d/init.d/kudzu %{buildroot}%{_initscriptdir}/kudzu
rm -rf %{buildroot}/etc/rc.d/init.d

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add kudzu

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del kudzu
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README hwconf-description
/sbin/kudzu
%{_sbindir}/kudzu
%{_sbindir}/fix-mouse-psaux
%{_libdir}/python*/site-packages/*
%{_mandir}/man8/*
%config(noreplace) /etc/sysconfig/kudzu
%config %{_initscriptdir}/kudzu

%Files devel
%defattr(-,root,root)
%{_libdir}/libkudzu.a
%{_libdir}/libkudzu_loader.a
%{_includedir}/kudzu

%changelog
* Thu Jun  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.71.1-1m)
- update 1.2.71.1

* Wed May 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.71-1m)
- update 1.2.71

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.69-1m)
- update 1.2.69

* Thu Jan 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.64-1m)
- update 1.2.64

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.57.1-2m)
- rebuild against python-2.5

* Sun Oct 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.57.1-1m)
- update 1.2.57.1

* Sun Jun 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.38-1m)
- update 1.2.38

* Sun May  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.34.4-1m)
- sync with fc-devel
- merge kudzu-python -> kudzu

* Sat Mar 11 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.16-3m)
- change system-config-display args. (tabun...)

* Fri Feb 17 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.16-2m)
- build fix
- lib64 byte compile fix

* Fri Dec 30 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.16-1m)
- sync with fc-devel

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1.95-3m)
- build against python-2.4.2

* Fri Feb 18 2005 Toru Hoshina <t@momonga-linux.org>
- (1.1.95-2m)
- revised spec so diet gcc avoid stack protection.
- the libkudzu_loader.a is provided again, for the anaconda loader2.

* Fri Jan 21 2005 Toru Hoshina <t@momonga-linux.org>
- (1.1.95-1m)
- import from FC3

* Thu Dec 16 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.72-3m)
  remove updfstab

* Tue Dec 14 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.72-2m)
  1.1.101 has problem with anaconda.
  roll back to 1.1.72

* Wed Dec  8 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.101-1m)
  update to 1.1.101

* Wed Sep 15 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.72-1m)
  for kernel 2.6

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.44-3m)
- rebuild against python2.3

* Fri Aug 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.44-2m)
  added libkudzu_loader-nossp.a
  
* Wed Aug  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.44-1m)
- upgrade

* Fri Mar  5 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.36-3m)
- rebuild against newt-0.51.6-1m

* Fri Dec 19 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.36-2m)
- rebuild against newt

* Tue Nov 11 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.36-1m)
- update to 1.1.36

* Wed Oct 22 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.34-2m)
- update and rename Patch1.

* Wed Oct 22 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.34-1m)
- update to 1.1.34.
- separated kudzumodule from kudzu to kudzu-python.

* Wed Oct 16 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.33-1m)
- update to 1.1.33

* Tue Sep  2 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.20-1m)
- update to 1.1.20

* Sun Jul 20 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.13-1m)
- update to 1.1.13

* Mon Apr 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.3-1m)
- update to 1.1.3

* Sun Feb 16 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.99.96-1m)
  update to 0.99.96

* Mon Nov 25 2002 zunda <zunda@freeshell.org>
- (0.99.69-3m)
- Makefile calls diet command and seems to link to dietlibc since 0.99.66

* Thu Nov 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.69-2m)
- remove python1-devel dependency

* Sat Nov 16 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.99.69-1m)
- update to 0.99.69

* Sun May 26 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.99.52-3k)
- modify BuildPrereq:

* Wed May  8 2002 Toru Hoshina <t@kondara.org>
- (0.99.52-2k)
- update to 0.99.52

* Thu Apr 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.99.50-2k)
- update to 0.99.50

* Sat Apr  6 2002 Toru Hoshina <t@kondara.org>
- (0.99.49-2k)
- ver up.

* Mon Apr  1 2002 Toru Hoshina <t@kondara.org>
- (0.99.25-22k)
- add %{buildpython2} flag again.

* Thu Feb 21 2002 Shingo AKagaki <dora@kondara.org>
- (0.99.25-18k)
- python 2.2

* Sat Feb 16 2002 Shingo Akagaki <dora@kondara.org>
- (0.99.25-18k)
- nForce MCP audio -> i810_audio

* Wed Jan 23 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99.25-16k)
- modify pcitable for e100 and e1000

* Wed Dec  5 2001 Tsutomu Yasuda <tom@kondara.org>
- (0.99.25-14k)
  fix Promise FastTrak 100 TX2 entry in pcitable.

* Sun Dec 02 2001 Motonobu Ichimura <famao@kondara.org>
- (0.99.25-12k)
- zh_CN.GB2312 => zh_CN

* Mon Nov 19 2001 Shingo Akagaki <dora@kondara.org>
- (0.99.25-10k)
- add nForce

* Sun Nov 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99.25-8k)
- fixed typed for dc395x_trm

* Wed Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.99.25-6k)
- modify pcitable patch for e100, e1000 and dpt_i2o

* Wed Oct 24 2001 Toru Hoshina <t@Kondara.org>
- (0.99.25-4k)
- eepro100-diag isn't necessary for PPC at this time.

* Fri Oct 19 2001 Toru Hoshina <t@Kondara.org>
- (0.99.25-2k)
- merge from Jrai.

* Sun Oct 07 2001 Motonobu Ichimura <famao@kondara.org>
- (0.99.25-3k)
- sync with rawhide (0.99.25-1)
- add %{buildpython2} flag

* Thu Sep 13 2001 Toru Hoshina <toru@df-usa.com>
- (0.99.21-2k)

* Fri Aug 24 2001 Bill Nottingham <notting@redhat.com>
- only refer to things in the cards DB
- we configure CLASS_OTHER now too (#51707)

* Fri Aug 24 2001 Mike A. Harris <mharris@redhat.com>
- Updated ATI video hardware PCI ID's and sync'd with XFree86's ID's

* Wed Aug 22 2001 Mike A. Harris <mharris@redhat.com>
- Fixed Radeon QD PCI ID, and a few others.
- Fixed broken pt_BR.po file so kudzu will actually build.

* Wed Aug 22 2001 Bill Nottingham <notting@redhat.com>
- move PS/2 probe to PROBE_SAFE (fixes #52040, indirectly...)

* Wed Aug 15 2001 Bill Nottingham <notting@redhat.com>
- fix checking of module aliases during device unconfiguration (#51100)

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- add another megaraid variant to the pcitable
- add some configuration for bcm5820 cards (#51707)

* Fri Aug 10 2001 Bill Nottingham <notting@redhat.com>
- pcitable & translation updates (including fixing #51479)

* Mon Aug  6 2001 Bill Nottingham <notting@redhat.com>
- enumerate cardbus bridges before the rest of the PCI bus scan
  (fixes #35136, #41972, #49842, possibly others)

* Wed Aug  1 2001 Bill Nottingham <notting@redhat.com>
- don't override generic pcitable entries with subvendor/subdevice
  specific entries from modules.pcimap unless it uses a different module
  (#46454, #50604)
- don't try to configure X if they don't appear to have it installed
  (#50088)

* Sun Jul 29 2001 Toru Hoshina <toru@df-usa.com>
- (0.98.10-20k)
- add alphaev5 support.

* Thu Jul 26 2001 Bill Nottingham <notting@redhat.com>
- fix changes from yesterday

* Wed Jul 25 2001 Bill Nottingham <notting@redhat.com>
- shrink parts of libkudzu_loader.a

* Tue Jul 24 2001 Bill Nottingham <notting@redhat.com>
- put scsi.o in libkudzu_loader.a

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- USB floppy probing, via scsi.c ugliness

* Mon Jul 23 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- some some more gdth entries

* Thu Jul 19 2001 Bill Nottingham <notting@redhat.com>
- floppy probing!

* Mon Jul  9 2001 Bill Nottingham <notting@redhat.com>
- return fb device for VESA fb devices

* Tue May 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-14k)
- errased vmware.pcitable.patch because buggy

* Tue May 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-14k)
- separate vmware.pcitable.patch on not x86 architecture

* Sat May 12 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-12k)
- add vmware.pcitable.patch for VMware

* Tue May  8 2001 Bill Nottingham <notting@redhat.com>
- fix updfstab erroring out on floppies, other devices (#39623)

* Mon May  7 2001 Bill Nottingham <notting@redhat.com>
- add a couple of e1000 ids (#39391)
- use dynamic buffer size for /proc/scsi/scsi (#37936)

* Thu May  2 2001 Bill Nottingham <notting@redhat.com>
- handle CLASS_RAID like CLASS_SCSI
- put man pages in man8, not man1
- don't map all i960 stuff to megaraid; use explicit list

* Tue May 01 2001 Erik Troan <ewt@redhat.com>
- added a man page for updfstab
- updfstab added devices even when the full disk device was in fstab already

* Thu Apr 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add hack to not start kudzu on s390/s390x on bootup

* Thu Apr 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-10k)
- add e100_2_eepro100.patch for Alpha Architecture

* Mon Apr 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-8k)
- modified pcitable.dyky patch about e100

* Tue Apr 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-6k)
- add pcitable.savage2000.patch for fixing Xconfigurator entry

* Mon Apr 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-4k)
- update pcitable patch to 20010416 for fixing kernel-2.4.x

* Sat Apr 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.10-2k)
- update to 0.98.10

* Sun Apr  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.2-6k)
- fuckin' rpm! which is bigger, 4.9 or 4.9.23!

* Mon Apr  2 2001 Preston Brown <pbrown@redhat.com>
- mark camera mount types w/a default partition.

* Fri Mar 30 2001 Bill Nottingham <notting@redhat.com>
- fix a couple of random only-on-occasion memory scribbles in pci.c

* Thu Mar 29 2001 Bill Nottingham <notting@redhat.com>
- if we're running for the first time, don't configure additional mice
  if some existing mouse is configured

* Wed Mar 28 2001 Bill Nottingham <notting@redhat.com>
- more PS/2 probe tweaks to work with yet more strange KVMs
- random pcitable tweaks (G450, etc.)

* Wed Mar 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.98.2-2k)
- import 0.98.2 from RHL and merge

* Mon Mar 26 2001 Bill Nottingham <notting@redhat.com>
- don't segfault if they don't have a PS/2 port

* Mon Mar 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- add many entried, i.e. 3c90x, fa311, e100, e100, dc390u2x_lsi, 3c90x_ncar and dc395x_trm
- add kudzu.locale.install.patch and locale files to %files section 

* Thu Mar 22 2001 Bill Nottingham <notting@redhat.com>
- cosmetic pcitable tweaks

* Wed Mar 21 2001 Bill Nottingham <notting@redhat.com>
- don't map a particular Compaq i960 thing to megaraid (#32082)

* Tue Mar 20 2001 Erik Troan <ewt@redhat.com>
- set detached for usb devices that aren't plugged in
- don't put detached dfevices in the fstab

* Mon Mar 19 2001 Bill Nottingham <notting@redhat.com>
- only probe once in updfstab
- fix aumix lines, again (#32163)
- fix it so we don't reconfigure configured USB mice (#32236)

* Fri Mar 16 2001 Erik Troan <ewt@redhat.com>
- check for Y-E (Vaio) floppies

* Fri Mar 16 2001 Erik Troan <ewt@redhat.com>
- updfstab ignores partition tables that look invalid

* Thu Mar 14 2001 Bill Nottingham <notting@redhat.com>
- fix ps2 probe
- fix long latent bug in python module
- add new it/de/fr/es .po files

* Wed Mar 13 2001 Bill Nottingham <notting@redhat.com>
- add some documentation on the hwconf file

* Tue Mar 12 2001 Bill Nottingham <notting@redhat.com>
- new and improved PS/2 probe (<bcrl@redhat.com>)

* Mon Mar 12 2001 Bill Nottingham <notting@redhat.com>
- fix two segfaults, one in the isapnp code, one in the ddc code

* Thu Mar  8 2001 Bill Nottingham <notting@redhat.com>
- some pcitable updates
- update to updfstab (pam_console support)
- don't try and load IDE modules if we don't need to

* Wed Mar  7 2001 Bill Nottingham <notting@redhat.com>
- clean up mouse handling (#30939, #21483, #18862, others)
- ignore non-native ISAPnP stuff for now (#30805)

* Thu Mar  1 2001 Bill Nottingham <notting@redhat.com>
- fix a segfault and other weirdness in the SCSI probe (#30168)

* Wed Feb 28 2001 Bill Nottingham <notting@redhat.com>
- fix a SCSI order bug

* Tue Feb 27 2001 Preston Brown <pbrown@redhat.com>
- identify 16meg G450

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- enable the ISAPnP stuff (part of #29450)
- fix a segfault

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- merge in some stuff in pcitable that got lost

* Sun Feb 25 2001 Bill Nottingham <notting@redhat.com>
- don't return CLASS_NETWORK for everything in PCI_BASE_CLASS_NETWORK
  (like, say, ISDN cards) (#29308)

* Fri Feb 23 2001 Bill Nottingham <notting@redhat.com>
- only probe the PCI bus in module_upgrade (#29092, sort of)
- random cleanups, plug some memory leaks
- don't give SCSI device names to non-SCSI devices

* Fri Feb 23 2001 Preston Brown <pbrown@redhat.com>
- don't make duplicate fstab entries for devices that have the same dev entry but match different patterns.

* Thu Feb 22 2001 Bill Nottingham <notting@redhat.com>
- write aliases for multiple usb controllers

* Wed Feb 21 2001 Bill Nottingham <notting@redhat.com>
- add a new i810_audio id
- read modules.pcimap from the normal directory if we're running the BOOT
  kernel

* Tue Feb 20 2001 Bill Nottingham <notting@redhat.com>
- write lines to modules.conf to save/restore sound settings (#28504)
- fix module_upgrade for eth0 aliases

* Tue Feb 20 2001 Preston Brown <pbrown@redhat.com>
- set up agpgart on i860s.
- improvements and fixes to updfstab, including mounting IOMEGA devices in the format they prefer.

* Fri Feb 16 2001 Matt Wilson <msw@redhat.com>
- set usbDeviceList to NULL in freeUsbDevices

* Thu Feb 15 2001 Bill Nottingham <notting@redhat.com>
- fix USB multiple probe segfault

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix updfstab up some

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- final translation update

* Tue Feb 13 2001 Preston Brown <pbrown@redhat.com>
- sync pcitable w/Xconfigurator.

* Tue Feb 13 2001 Bill Nottingham <notting@redhat.com>
- fix configuration of PCI modems (#27414)

* Mon Feb 12 2001 Bill Nottingham <notting@redhat.com>
- fix python module

* Sun Feb 11 2001 Bill Nottingham <notting@redhat.com>
- expand the USB probing; return all sorts of devices, and more sane
  descriptions

* Sun Feb 11 2001 Erik Troan <ewt@redhat.com>
- added sony devices to updfstab
- look through /proc/partitions for actual partition to mount
- made symlinks optional, and only create them for /dev/cdrom

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- don't bother showing a dialog for hardware we aren't going to do anything
  with
- don't configure CD-ROMs  

* Thu Feb 08 2001 Preston Brown <pbrown@redhat.com>
- update pcitable with new XFree86 stuff

* Thu Feb 08 2001 Erik Troan <ewt@redhat.com>
- added updfstab
- don't report ide devices bound to ide-scsi -- they're really scsi devices

* Wed Feb  7 2001 Matt Wilson <msw@redhat.com>
- added modules.o to LOADEROBJS in Makefile
- remove modules.o from LOADEROBJS and add stub functions in kudzu.c

* Wed Feb  7 2001 Bill Nottingham <notting@redhat.com>
- add in modules.conf upgrader
- describe the types of hardware that's added or removed in the dialog

* Mon Feb  5 2001 Bill Nottingham <notting@redhat.com>
- map disabled PCI devices to 'disabled', not to 'ignore'

* Thu Feb  1 2001 Bill Nottingham <notting@redhat.com>
- fix calling of VESA BIOS stuff (#24176)

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- fix detection of disabled video boards

* Fri Jan 26 2001 Trond Eivind Glomsr?<teg@redhat.com>
- fix bug in USB detection

* Thu Jan 25 2001 Bill Nottingham <notting@redhat.com>
- fix some broken pcitable entries
- add BUS_USB to python module

* Wed Jan 24 2001 Bill Nottingham <notting@redhat.com>
- fix it so we actually pay attention to which button they push (#24858)

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- final i18n update before beta

* Sun Jan 21 2001 Bill Nottingham <notting@redhat.com>
- change i18n mechanism

* Sat Jan 20 2001 Bill Nottingham <notting@redhat.com>
- add hack for 'configure/unconfigure all' in interactive mode

* Thu Jan 18 2001 Erik Troan <ewt@redhat.com>
- pcitable update for natsemi module

* Wed Jan 17 2001 Bill Nottingham <notting@redhat.com>
- pcitable updates

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- don't write modules.conf aliases for cardbus network stuff

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- fix continual redetection of SOCKET devices

* Fri Dec 22 2000 Bill Nottingham <notting@redhat.com>
- read modules.pcimap as well
- pcitable updates

* Tue Dec 19 2000 Bill Nottingham <notting@redhat.com>
- map yenta_socket driver for cardbus bridges (CLASS_SOCKET)

* Wed Dec 13 2000 Bill Nottingham <notting@redhat.com>
- work around a possible glibc bug
- fix up the USB device stuff

* Tue Dec 12 2000 Bill Nottingham <notting@redhat.com>
- fix segfault caused by yesterday's changes
- stub load/removeModule for the loader

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- libmodules gets integrated into libkudzu
- load necessary modules before probing

* Fri Dec  8 2000 Bill Nottingham <notting@redhat.com>
- a WORM device is a CD-ROM (#19250)

* Tue Dec 05 2000 Michael Fulbright <msf@redhat.com>
- fix for IDE CDROM probing segfault

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.56-8k)
- modified the bug that failed if %{_initscriptdir} is /etc/rc.d/init.d

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Mon Nov 20 2000 Erik Troan <ewt@redhat.com>
- fix for scd devices > scd9

* Sat Nov 18 2000 Bill Nottingham <notting@redhat.com>
- don't use files in /tmp to determine whether to switch runlevels

* Sat Oct 21 2000 Matt Wilson <msw@redhat.com>
- install kudzu.py into /usr/lib/python1.5/site-packages, not
  /usr/lib/python1.5/
- added backwards compatibility for old python interface
- fixed crashes in python C binding

* Wed Oct 18 2000 Bill Nottingham <notting@redhat.com>
- pcitable updates
- don't 'configure' agpgart on alpha
- don't configure usb controllers if there are no modules

* Wed Oct 04 2000 Trond Eivind Glomsr?<teg@redhat.com>
- segfault fix

* Tue Oct 03 2000 Trond Eivind Glomsr?<teg@redhat.com>
- some fixes to avoid segfaulting with serial devices
  in kudzu if no PnP-description is available
- minor fix to the makefile  

* Fri Sep 29 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rewritten USB support
- new python module (formerly kudzu2), giving access to
  more information 

* Wed Sep 13 2000 Trond Eivind Glomsr?<teg@redhat.com>
- include more info in the kudzu2 python module

* Fri Sep 08 2000 Trond Eivind Glomsr?<teg@redhat.com>
- new kudzu2 python module which gives access to all
  of the information available on the device in the C
  library. Hopefully will be the main module soonish.

* Wed Aug 30 2000 Bill Nottingham <notting@redhat.com>
- pcitable tweaks

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- updated it/es translations

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- fix segfault when passed '-f <some file that doesn't exist>'

* Wed Aug 23 2000 Bill Nottingham <notting@redhat.com>
- fix some ATI Mobility mappings
- use ftw() to look for modules; it's the only sane way to handle
  2.4 kernels

* Sat Aug 19 2000 Bill Nottingham <notting@redhat.com>
- fix network device ordering

* Tue Aug 15 2000 Bill Nottingham <notting@redhat.com>
- disabled things also have IRQ 255. Neat.

* Wed Aug  9 2000 Bill Nottingham <notting@redhat.com>
- actually include translation files. Duh.

* Wed Aug  9 2000 Tim Waugh <twaugh@redhat.com>
- avoid overflowing the monitor id buffer (#15795)

* Tue Aug  8 2000 Erik Troan <ewt@redhat.com>
- look for PCMCIA IDE devices (they aren't in /proc)

* Mon Aug  7 2000 Bill Nottingham <notting@redhat.com>
- handle probing for excessive numbers of SCSI devices
- tweak IRQ 0 ignoring slightly

* Sun Aug  6 2000 Bill Nottingham <notting@redhat.com>
- ignore devices on IRQ 0

* Fri Aug  4 2000 Bill Nottingham <notting@redhat.com>
- fix subdevice sorting in pci device table (#14503)

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- make some functions in pci.c "static"

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- assorted pcitable and translation fixes

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- fixes so translations get activated

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- pcitable fixes (Neomagic, Matrox)

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- pci.ids updates
- probe for memory in DDC probe
- link vbe library in directly

* Tue Jul 25 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update gdth ICP vortex entries

* Mon Jul 24 2000 Bill Nottingham <notting@redhat.com>
- turn off DDC probing in generic hardware probe
- random pcitable updates

* Tue Jul 18 2000 Michael Fulbright <msf@redhat.com>
- enable USB bus probing for loader

* Tue Jul 18 2000 Bill Nottingham <notting@redhat.com>
- pcitable updates

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- added USB probing to kudzu_loader library

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Tue Jul 11 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- add another ncr/sym controller to pcitable

* Mon Jul  3 2000 Trond Eivind Glomsr?<teg@redhat.com>
- USB mouse detection

* Mon Jul  3 2000 Bill Nottingham <notting@redhat.com>
- preliminary USB probing (from Trond)

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- add /etc/sysconfig/kudzu where you can force only safe probes on boot

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- configure USB controllers
- initscript path munging

* Sun Jun 18 2000 Bill Nottingham <notting@redhat.com>
- fix broken bus handling in library

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- add r128 driver mappings

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- hacks to probe vesa and vga16 framebuffers

* Tue Jun 13 2000 Bill Nottingham <notting@redhat.com>
- DDC probing fixes

* Wed Jun  7 2000 Bill Nottingham <notting@redhat.com>
- add in monitor probing

* Mon Jun  4 2000 Bill Nottingham <notting@redhat.com>
- pcitable fixes

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- modules.confiscation

* Tue May 30 2000 Erik Troan <ewt@redhat.com>
- moved kudzumodule to main kudzu package

* Wed May 10 2000 Bill Nottingham <notting@redhat.com>
- add support for PCI subvendor, subdevice IDs

* Tue Apr  4 2000 Bill Nottingham <notting@redhat.com>
- add fix for odd keyboard controllers

* Tue Mar 28 2000 Erik Troan <ewt@redhat.com>
- added kudzumodule to devel package
- added libkudzu_loader to devel

* Sat Mar  4 2000 Matt Wilson <msw@redhat.com>
- added 810 SVGA mapping

* Thu Mar  2 2000 Bill Nottingham <notting@redhat.com>
- fixes in pci device list merging

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- fix aliasing and configuration of network devices
- only configure modules that are available

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- fix handling of token ring devices

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- yet more serial fixes

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- more serial fixes; bring back DTR and RTS correctly

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- don't run serial probe on serial console, fixed right

* Tue Feb  1 2000 Bill Nottingham <notting@redhat.com>
- fix previous fixes.

* Wed Jan 26 2000 Bill Nottingham <notting@redhat.com>
- fix add/remove logic somewhat

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- don't run serial probe on serial console

* Fri Jan  7 2000 Bill Nottingham <notting@redhat.com>
- fix stupid bug in configuring scsi/net cards

* Mon Oct 25 1999 Bill Nottingham <notting@redhat.com>
- oops, don't try to configure 'unknown's.

* Mon Oct 11 1999 Bill Nottingham <notting@redhat.com>
- fix creation of /etc/sysconfig/soundcard...

* Wed Oct  6 1999 Bill Nottingham <notting@redhat.com>
- add inittab munging for sparc serial consoles...

* Thu Sep 30 1999 Bill Nottingham <notting@redhat.com>
- add sun keyboard probing (from jakub)
- add some bttv support

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- run 'telinit 5' if needed in the initscript

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- new & improved UI
- module aliasing fixes

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- sanitize, homogenize, sterilize...

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- get geometry for ide drives
- enumerate buses (jj@ultra.linux.cz)
